[arch-commits] Commit in python-pbr/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Fri Apr 21 06:08:40 UTC 2017


    Date: Friday, April 21, 2017 @ 06:08:39
  Author: felixonmars
Revision: 224047

archrelease: copy trunk to community-any

Added:
  python-pbr/repos/community-any/PKGBUILD
    (from rev 224046, python-pbr/trunk/PKGBUILD)
Deleted:
  python-pbr/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  122 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 61 insertions(+), 61 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-04-21 06:08:17 UTC (rev 224046)
+++ PKGBUILD	2017-04-21 06:08:39 UTC (rev 224047)
@@ -1,61 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
-# Contributor: Limao Luo <luolimao+AUR at gmail.com>
-
-pkgbase=python-pbr
-pkgname=(python-pbr python2-pbr)
-pkgver=2.1.0
-pkgrel=1
-pkgdesc="Python Build Reasonableness"
-arch=('any')
-url='https://pypi.python.org/pypi/pbr'
-license=('Apache')
-makedepends=('python2-setuptools' 'python-setuptools' 'git')
-checkdepends=('python-testscenarios' 'python2-testscenarios' 'python-testrepository' 'python2-testrepository'
-              'python-testresources' 'python2-testresources' 'python-mock' 'python2-mock' 'python-virtualenv'
-              'python2-virtualenv' 'python-wheel' 'python2-wheel' 'python-sphinx' 'python2-sphinx')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/openstack-dev/pbr/archive/$pkgver.tar.gz")
-sha512sums=('a275dc4d6b6b6df0b2bdbfa18f1d464778a7b87f2ad314c600faece4025c36b6459e511407ba335ac2563e6174f3035c3fc29cc3dd9a574aded2052703b466ba')
-
-prepare() {
-  cp -a pbr-$pkgver{,-py2}
-
-  find pbr-$pkgver-py2 -name \*.py -exec sed -i '1s/python$/&2/' {} +
-
-  export PBR_VERSION=$pkgver
-}
-
-build() {
-  cd "$srcdir"/pbr-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/pbr-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/pbr-$pkgver
-  python setup.py testr || warning "Tests failed"
-
-  cd "$srcdir"/pbr-$pkgver-py2
-  PYTHON=python2 python2 setup.py testr || warning "Tests failed"
-}
-
-package_python-pbr() {
-  depends=('python-setuptools')
-
-  cd pbr-$pkgver
-  python setup.py install -O1 --root="$pkgdir"
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-package_python2-pbr() {
-  depends=('python2-setuptools')
-
-  cd pbr-$pkgver-py2
-  python2 setup.py install -O1 --root="$pkgdir"
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-  
-  mv "$pkgdir"/usr/bin/pbr{,2}
-}

Copied: python-pbr/repos/community-any/PKGBUILD (from rev 224046, python-pbr/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-04-21 06:08:39 UTC (rev 224047)
@@ -0,0 +1,61 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+# Contributor: Limao Luo <luolimao+AUR at gmail.com>
+
+pkgbase=python-pbr
+pkgname=(python-pbr python2-pbr)
+pkgver=3.0.0
+pkgrel=1
+pkgdesc="Python Build Reasonableness"
+arch=('any')
+url='https://pypi.python.org/pypi/pbr'
+license=('Apache')
+makedepends=('python2-setuptools' 'python-setuptools' 'git')
+checkdepends=('python-testscenarios' 'python2-testscenarios' 'python-testrepository' 'python2-testrepository'
+              'python-testresources' 'python2-testresources' 'python-mock' 'python2-mock' 'python-virtualenv'
+              'python2-virtualenv' 'python-wheel' 'python2-wheel' 'python-sphinx' 'python2-sphinx')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/openstack-dev/pbr/archive/$pkgver.tar.gz")
+sha512sums=('445b1598e84e82db12de1d4da2e00305325f97557bc59d8cb492ad7aed84e5567ae1cf7861a7202f632ea4d56f1de60e2e391c83a4bd383378f004b7504fb240')
+
+prepare() {
+  cp -a pbr-$pkgver{,-py2}
+
+  find pbr-$pkgver-py2 -name \*.py -exec sed -i '1s/python$/&2/' {} +
+
+  export PBR_VERSION=$pkgver
+}
+
+build() {
+  cd "$srcdir"/pbr-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/pbr-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/pbr-$pkgver
+  python setup.py testr || warning "Tests failed"
+
+  cd "$srcdir"/pbr-$pkgver-py2
+  PYTHON=python2 python2 setup.py testr || warning "Tests failed"
+}
+
+package_python-pbr() {
+  depends=('python-setuptools')
+
+  cd pbr-$pkgver
+  python setup.py install -O1 --root="$pkgdir"
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-pbr() {
+  depends=('python2-setuptools')
+
+  cd pbr-$pkgver-py2
+  python2 setup.py install -O1 --root="$pkgdir"
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+  
+  mv "$pkgdir"/usr/bin/pbr{,2}
+}



More information about the arch-commits mailing list